#
# spec file for package mailprocessing
#
# Copyright (c) 2020 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           mailprocessing
Version:        1.2.7
Release:        bp156.3.1
Summary:        Maildir and IMAP processor/filter using Python 3x as its configuration language
License:        GPL-2.0-only
Group:          Productivity/Networking/Email/Utilities
URL:            http://mailprocessing.github.io/mailprocessing
Source0:        https://github.com/mailprocessing/mailprocessing/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3
Obsoletes:      maildirproc < %{version}
Provides:       maildirproc = %{version}
BuildArch:      noarch

%description
The maildirproc and imapproc utilities provided by this package filter emails
in maildirs and IMAP folders with a user provided filter script written in
Python.

%prep
%setup -q

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
install -D -m 644 docs/imapproc.1 %{buildroot}/%{_mandir}/man1/imapproc.1
install -D -m 644 docs/maildirproc.1 %{buildroot}/%{_mandir}/man1/maildirproc.1
install -D -m 644 docs/mailprocessing.5 %{buildroot}/%{_mandir}/man5/mailprocessing.5
install -d -m 755 %{buildroot}/%{_docdir}/%{name}
cp -a docs/examples %{buildroot}/%{_docdir}/%{name}
%fdupes %{buildroot}%{$python_sitelib}

%files
%license LICENSE
%doc NEWS README
%doc %{_docdir}/%{name}/examples
%{_mandir}/man1/imapproc.1%{?ext_man}
%{_mandir}/man1/maildirproc.1%{?ext_man}
%{_mandir}/man5/mailprocessing.5%{?ext_man}
%{python3_sitelib}
%{_bindir}/maildirproc
%{_bindir}/imapproc

%changelog
* Wed Feb 12 2020 Johannes Grassler <johannes.grassler@suse.com>
- Update to mailprocessing-1.2.7
  * imapproc: fix crash when attempting to query message flags on empty folders
  * maildirproc: catch and log ENOENT when moving to a nonexistent target folder
  * maildirproc: logging improvements/fixes
  * maildirproc: fix handling of '/' as separator
  * Various test fixes and flake8 cleanups (test suite still non-functional)
  * Fix clean target in Makefile on MacOS
* Thu Jun 27 2019 Johannes Grassler <johannes.grassler@suse.com>
- Switch back to tarball from Github (used to be the setup.py generated one)
* Thu Jun 27 2019 Johannes Grassler <johannes.grassler@suse.com>
- Update to mailprocessing-1.2.6
  * Added example logrotate configurations
  * Added SIGHUP handler for reopening log files (useful for
    log rotation)
  * Use locking for PID and log files. You need to specify
    dedicated PID and lock files if you want to run multiple
    concurrent imapproc processes.
  * Write PID file
  * Improve signal handling and cleanup after receiving fatal
    signals. Continuous mode in particular is a lot more
    reliable and predictable now.
  * Download message headers in a batched manner
  * Download message flags in a batched manner
  * Various documentation and release engineering fixes/cleanups
* Tue Jul 10 2018 johannes.grassler@suse.com
- Initial package
